Subject: Re: Get rid of ylwrap, and simplify yacc/lex rules

From: Stefano Lattarini <[email-masked]>
Date: Tue, 08 May 2012 13:07:19 +0200

On 05/08/2012 12:48 PM, Akim Demaille wrote:
> 
> On second thought, this is unfair to ylwrap.  The issue is
> rather that bison issues synclines which are relative the
> cwd instead of relative to the path of the output file.
> 
> [SNIP]
>
Well, good for us then :-)

>> Or maybe we could get rid of ylwrap and assume yacc/lex support the
>> '-o' option.  After all:
>>
>>  - the yacc- and lex-generated files are automatically distributed,
>>    so only the maintainers should be expected to regenerate them;
>>
>>  - the sytem yacc on OpenBSD and NetBSD (not surre
>>
s/surre/sure/ here, of course.

>> yet about FreeBSD, will check)
>>
It seems to be the case with FreeBSD (8.2) as well :-)

>> support the '-o' option as well; and their lex too, since its flex
>>
And here, s/its/it's/;  what a sloppy typing I did :-(

>>  - supporting proprietary yacc and lex should be low-priority IMHO.
>>
>> Might this be something to consider for Automake 1.13?
> 
> I have no strong opinion about this.  But I like simplifications :)
>
Me too (at least when the maintenance of the simplified code base is
up to me ;-)

Still, there's a feature of ylwrap I'm going to miss, i.e., the fact
that the timestamp of the header file generated with 'yacc -d' is not
updated if its content is not changed.  This could probably be saved
by inlining the relevant part of the ylwrap logic in the new Makefile
rules though.  Or would be worth to add such a logic to bison proper?

Regards,
  Stefano